package jesse.keeblarcraft.Commands;

import com.mojang.brigadier.arguments.StringArgumentType;

import net.fabricmc.fabric.api.command.v2.CommandRegistrationCallback;
import net.minecraft.server.command.CommandManager;
import net.minecraft.server.network.ServerPlayerEntity;

public class MailCommands {
    public void RegisterMailCommands() {
        CommandRegistrationCallback.EVENT.register((dispatcher, registryAccess, environment) -> {
            var mailRoot = CommandManager.literal("mail").build();
            var sendNode = CommandManager.literal("send").build();
            var playerName = CommandManager.argument("target_name", StringArgumentType.string()).build();
            var message = CommandManager.argument("mail_msg", StringArgumentType.greedyString())
                .executes(context -> SendMsg(context.getSource().getPlayer(), StringArgumentType.getString(context, "mail_msg")))
            .build();

            dispatcher.getRoot().addChild(mailRoot);

            mailRoot.addChild(sendNode);
            sendNode.addChild(playerName);
            playerName.addChild(message);
        });
    }

    private int SendMsg(ServerPlayerEntity source, String mail) {
        return 0;
    }
}
